# Interface SkyTiling

All Known Implementing Classes:
  `HealpixTiling`

public interface SkyTiling
Defines a pixellation scheme which maps sky positions to long integers.

Since:
  6 Dec 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.ValueInfo`
`getIndexInfo()`
Returns a metadata item suitable for describing the pixel index used by this tiling.
`long`
`getPixelCount()`
Returns the total number of tiles in this tiling.
`long`
`getPositionTile(double ra, double dec)`
Returns the index of the tile in which a given sky position falls.
`long[]`
`getTileRange(double ra, double dec, double radius)`
Returns the bounds of a range of pixels which is known to cover a given cone on the sky.

## Method Details

### getPositionTile

long getPositionTile(double ra, double dec)
Returns the index of the tile in which a given sky position falls.

Parameters:
  `ra` - right ascension in degrees
  `dec` - declination in degrees
Returns:
  tile index for position

### getTileRange

long[] getTileRange(double ra, double dec, double radius)
Returns the bounds of a range of pixels which is known to cover a given cone on the sky. The return value is a two-element array, (lo,hi). Every point in the specified cone must have a tile index which is greater than or equal to the first element of that array, and less than or equal to the second element. If the question cannot be answered, or if the range is thought to be too large to be of use (for instance, if it would take a long time to calculate), then `null` may be returned.

Parameters:
  `ra` - right ascension in degrees
  `dec` - declination in degrees
  `radius` - radius in degrees
Returns:
  2-element array giving inclusive (low, high) bounds of tile range covering the cone

### getPixelCount

long getPixelCount()
Returns the total number of tiles in this tiling. Tile indices are assumed to be in the range from zero (inclusive) to this value (exclusive), so the returned value is one greater than the maximum tile index.

Returns:
  pixel count

### getIndexInfo

uk.ac.starlink.table.ValueInfo getIndexInfo()
Returns a metadata item suitable for describing the pixel index used by this tiling.

Returns:
  tile index metadata